<?php

namespace Superrobota\Business;

use User;

class Business
{
    /**
     * $business object.
     */
    protected $business;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Business\Interfaces\BusinessRepositoryInterface $business)
    {
        $this->business = $business;
    }

    /**
     * Returns count of business.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.business.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->business->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\BusinessUserCriteria());
        }

        $business = $this->business->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('business::' . $view, compact('business'))->render();
    }
}
