<?php

namespace Superrobota\Business\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BusinessTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Business\Models\Business $business)
    {
        return [
            'id'                => $business->getRouteKey(),
            'key'               => [
                'public'    => $business->getPublicKey(),
                'route'     => $business->getRouteKey(),
            ], 
            'name'              => $business->name,
            'url'               => [
                'public'    => trans_url('business/'.$business->getPublicKey()),
                'user'      => guard_url('business/business/'.$business->getRouteKey()),
            ], 
            'status'            => trans('app.'.$business->status),
            'created_at'        => format_date($business->created_at),
            'updated_at'        => format_date($business->updated_at),
        ];
    }
}